## org.metaabm
Enum SShapeType

    java.lang.Object
      java.lang.Enum<SShapeType>
          org.metaabm.SShapeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SShapeType>, org.eclipse.emf.common.util.Enumerator

    public enum SShapeType

extends java.lang.Enum<SShapeType>
implements org.eclipse.emf.common.util.Enumerator

Enum Constant Summary
`LINE` The 'Line' literal object.
`POINT` The 'Point' literal object.
`POLYGON` The 'Polygon' literal object.

Field Summary
`static int` `LINE_VALUE` The 'Line' literal value.
`static int` `POINT_VALUE` The 'Point' literal value.
`static int` `POLYGON_VALUE` The 'Polygon' literal value.
`static java.util.List<SShapeType>` `VALUES` A public read-only list of all the 'SShape Type' enumerators.

Method Summary
`static SShapeType` `get(int value)` Returns the 'SShape Type' literal with the specified integer value.
`static SShapeType` `get(java.lang.String literal)` Returns the 'SShape Type' literal with the specified literal value.
`static SShapeType` `getByName(java.lang.String name)` Returns the 'SShape Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SShapeType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SShapeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POINT

    public static final SShapeType POINT

  The 'Point' literal object.

  See Also:
    `POINT_VALUE`

### LINE

    public static final SShapeType LINE

  The 'Line' literal object.

  See Also:
    `LINE_VALUE`

### POLYGON

    public static final SShapeType POLYGON

  The 'Polygon' literal object.

  See Also:
    `POLYGON_VALUE`

Field Detail

### POINT_VALUE

    public static final int POINT_VALUE

  The 'Point' literal value.

  If the meaning of 'Point' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POINT`, Constant Field Values

### LINE_VALUE

    public static final int LINE_VALUE

  The 'Line' literal value.

  If the meaning of 'Line' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LINE`, Constant Field Values

### POLYGON_VALUE

    public static final int POLYGON_VALUE

  The 'Polygon' literal value.

  If the meaning of 'Polygon' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POLYGON`, Constant Field Values

### VALUES

    public static final java.util.List<SShapeType> VALUES

  A public read-only list of all the 'SShape Type' enumerators.

Method Detail

### values

    public static SShapeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SShapeType c : SShapeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SShapeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SShapeType get(java.lang.String literal)

  Returns the 'SShape Type' literal with the specified literal value.

### getByName

    public static SShapeType getByName(java.lang.String name)

  Returns the 'SShape Type' literal with the specified name.

### get

    public static SShapeType get(int value)

  Returns the 'SShape Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SShapeType>`